
class ChristmasTitan expands Titan;

#exec TEXTURE IMPORT NAME=SnowTitan FILE=Textures\SnowTitan.bmp

var float decision;

function SpawnRock()
{
   local Projectile Proj;
   local vector X,Y,Z, projStart;
   
	GetAxes(Rotation,X,Y,Z);

	MakeNoise(1.0);
   decision = FRand();
    
   if (decision<0.25)
   {
      projStart = Location + CollisionRadius * X + 0.4 * CollisionHeight * Z;
      Proj = spawn(class 'XmasBoxBlue' ,self,'',projStart,AdjustAim(1000, projStart, 400, false, true));
      if( Proj != None )
         Proj.SetPhysics(PHYS_Projectile);
      return;
   }

   else if (decision<0.5)
   {
      projStart = Location + CollisionRadius * X + 0.4 * CollisionHeight * Z;
      Proj = spawn(class 'XmasBoxGold' ,self,'',projStart,AdjustAim(1000, projStart, 400, false, true));
      if( Proj != None )
         Proj.SetPhysics(PHYS_Projectile);
      return;
   }

   else if (decision <0.75)
   {
      projStart = Location + CollisionRadius * X + 0.4 * CollisionHeight * Z;
      Proj = spawn(class 'XmasBoxRed' ,self,'',projStart,AdjustAim(1000, projStart, 400, false, true));
      if( Proj != None )
         Proj.SetPhysics(PHYS_Projectile);
      return;
   }
   else
   {
      projStart = Location + CollisionRadius * X + 0.4 * CollisionHeight * Z;
      Proj = spawn(class 'XmasBoxGreen' ,self,'',projStart,AdjustAim(1000, projStart, 400, false, true));
      if( Proj != None )
         Proj.SetPhysics(PHYS_Projectile);
      return;
   }
}

defaultproperties
{
	MultiSkins(0)=Texture'SnowTitan'
	CarcassType=Class'ChristmasTitanCarcass'
}